#!/usr/bin/env python

# TQt tutorial 4.

# Trinity-specific paths
import sys, os
tqt_modules = []
for m_path in sys.path:
    if os.path.exists(os.path.join(m_path, 'sip4_tqt')):
        m_sip_dir = os.path.join(m_path, 'sip4_tqt')
        tqt_modules.insert(0, m_sip_dir)
    if os.path.exists(os.path.join(m_path, 'python_tqt')):
        m_pyqt_dir = os.path.join(m_path, 'python_tqt')
        tqt_modules.insert(0, m_pyqt_dir)
for m_path in tqt_modules:
    sys.path.insert(0, m_path)

import qt


class MyWidget(qt.TQWidget):
    def __init__(self, parent=None, name=None):
        qt.TQWidget.__init__(self, parent, name)

        self.setMinimumSize(200, 120)
        self.setMaximumSize(200, 120)

        quit = qt.TQPushButton("Quit", self, "quit")
        quit.setGeometry(62, 40, 75, 30)
        quit.setFont(qt.TQFont("Times", 18, qt.TQFont.Bold))

        self.connect(quit, qt.SIGNAL("clicked()"), qt.tqApp, qt.SLOT("quit()"))


a = qt.TQApplication(sys.argv)

w = MyWidget()
w.setGeometry(100, 100, 200, 120)
a.setMainWidget(w)
w.show()
sys.exit(a.exec_loop())
