#!/usr/bin/env python

# Trinity-specific paths
import sys, os
tqt_modules = []
for m_path in sys.path:
    if os.path.exists(os.path.join(m_path, 'sip4_tqt')):
        m_sip_dir = os.path.join(m_path, 'sip4_tqt')
        tqt_modules.insert(0, m_sip_dir)
    if os.path.exists(os.path.join(m_path, 'python_tqt')):
        m_pyqt_dir = os.path.join(m_path, 'python_tqt')
        tqt_modules.insert(0, m_pyqt_dir)
for m_path in tqt_modules:
    sys.path.insert(0, m_path)

from qt import *

from form2 import Form2
from dbconnect import createConnection

class mainWindow(Form2):
    def __init__(self,parent = None,name = None,fl = 0):
        Form2.__init__(self,parent,name,fl)

if __name__ == "__main__":
    a = TQApplication(sys.argv)
    if createConnection():
        TQObject.connect(a,SIGNAL("lastWindowClosed()"),a,SLOT("quit()"))
        w = mainWindow()
        a.setMainWidget(w)
        w.show()
        a.exec_loop()

